import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as input from '@mescius/wijmo.input';
import { getData } from './data';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
// autoComplete
let theAutoComplete = new input.AutoComplete('#theAutoComplete', {
displayMemberPath: 'country',
searchMemberPath: 'country,continent',
itemsSource: getData()
});
//
// autoComplete configuration
//
let theDelay = new input.InputNumber('#theDelay', {
value: theAutoComplete.delay,
min: 0,
max: 1500,
step: 100,
valueChanged: (sender) => {
theAutoComplete.delay = sender.value;
}
});
//
let theMinLength = new input.InputNumber('#theMinLength', {
value: theAutoComplete.minLength,
min: 1,
max: 100,
step: 1,
valueChanged: (sender) => {
theAutoComplete.minLength = sender.value;
}
});
//
let theMaxItems = new input.InputNumber('#theMaxItems', {
value: theAutoComplete.maxItems,
min: 1,
max: 12,
step: 1,
valueChanged: (sender) => {
theAutoComplete.maxItems = sender.value;
}
});
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo AutoComplete Search Parameters</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<main class="container-fluid">
<div class="mb-3">
<label for="theDelay">delay:</label>
<div id="theDelay"></div>
</div>
<div class="mb-3">
<label for="theMinLength">minLength:</label>
<div id="theMinLength"></div>
</div>
<div class="mb-3">
<label for="theMaxItems">maxItems:</label>
<div id="theMaxItems"></div>
</div>
<div class="mb-3">
<label for="theAutoComplete">AutoComplete:</label>
<div id="theAutoComplete"></div>
</div>
</main>
</body>
</html>
// list of country GDP and populations
// https://en.wikipedia.org/wiki/List_of_IMF_ranked_countries_by_GDP
export function getData() {
return [
{ id: 1, country: 'Luxembourg', continent: 'Europe', gdpm: 57825, popk: 563, gdpcap: 102708 },
{ id: 2, country: 'Switzerland', continent: 'Europe', gdpm: 664005, popk: 8238, gdpcap: 80602 },
{ id: 3, country: 'Norway', continent: 'Europe', gdpm: 388315, popk: 5205, gdpcap: 74604 },
{ id: 4, country: 'Macao', continent: 'Asia', gdpm: 46178, popk: 647, gdpcap: 71372 },
{ id: 5, country: 'Qatar', continent: 'Africa', gdpm: 166908, popk: 2421, gdpcap: 68941 },
{ id: 6, country: 'Ireland', continent: 'Europe', gdpm: 283716, popk: 4635, gdpcap: 61211 },
{ id: 7, country: 'United States', continent: 'America', gdpm: 18036650, popk: 321601, gdpcap: 56083 },
{ id: 8, country: 'Singapore', continent: 'Asia', gdpm: 292734, popk: 5535, gdpcap: 52887 },
{ id: 9, country: 'Denmark', continent: 'Europe', gdpm: 295091, popk: 5660, gdpcap: 52136 },
{ id: 10, country: 'Australia', continent: 'Oceania', gdpm: 1225286, popk: 23940, gdpcap: 51181 },
{ id: 12, country: 'Sweden', continent: 'Europe', gdpm: 493042, popk: 9851, gdpcap: 50049 },
{ id: 13, country: 'San Marino', continent: 'Europe', gdpm: 1558, popk: 31, gdpcap: 50258 },
{ id: 14, country: 'Netherlands', continent: 'Europe', gdpm: 750696, popk: 16937, gdpcap: 44322 },
{ id: 15, country: 'United Kingdom', continent: 'Europe', gdpm: 2858482, popk: 65110, gdpcap: 43902 },
{ id: 16, country: 'Austria', continent: 'Europe', gdpm: 374261, popk: 8621, gdpcap: 43412 },
{ id: 17, country: 'Canada', continent: 'America', gdpm: 1550537, popk: 35825, gdpcap: 43280 },
{ id: 18, country: 'Finland', continent: 'Europe', gdpm: 232077, popk: 5472, gdpcap: 42411 },
{ id: 19, country: 'Germany', continent: 'Europe', gdpm: 3365293, popk: 82176, gdpcap: 40952 },
{ id: 20, country: 'Belgium', continent: 'Europe', gdpm: 454288, popk: 11209, gdpcap: 40528 },
{ id: 21, country: 'United Arab Emirates', continent: 'Africa', gdpm: 370296, popk: 9581, gdpcap: 38648 },
{ id: 22, country: 'France', continent: 'Europe', gdpm: 2420163, popk: 64275, gdpcap: 37653 },
{ id: 23, country: 'New Zealand', continent: 'Oceania', gdpm: 172257, popk: 4647, gdpcap: 37068 },
{ id: 24, country: 'Israel', continent: 'Africa', gdpm: 299413, popk: 8377, gdpcap: 35742 },
{ id: 25, country: 'Japan', continent: 'Asia', gdpm: 4124211, popk: 126981, gdpcap: 32478 },
{ id: 26, country: 'Brunei Darussalam', continent: 'Africa', gdpm: 12930, popk: 417, gdpcap: 31007 },
{ id: 27, country: 'Italy', continent: 'Europe', gdpm: 1815759, popk: 60796, gdpcap: 29866 },
{ id: 28, country: 'Puerto Rico', continent: 'America', gdpm: 102906, popk: 3474, gdpcap: 29621 },
{ id: 29, country: 'Kuwait', continent: 'Africa', gdpm: 114079, popk: 4110, gdpcap: 27756 },
{ id: 30, country: 'South Korea', continent: 'Asia', gdpm: 1377873, popk: 50617, gdpcap: 27221 },
{ id: 31, country: 'Spain', continent: 'Europe', gdpm: 1199715, popk: 46423, gdpcap: 25843 },
{ id: 32, country: 'The Bahamas', continent: 'America', gdpm: 8854, popk: 364, gdpcap: 24324 },
{ id: 33, country: 'Bahrain', continent: 'Africa', gdpm: 31119, popk: 1294, gdpcap: 24048 },
{ id: 34, country: 'Cyprus', continent: 'Europe', gdpm: 19330, popk: 847, gdpcap: 22821 },
{ id: 35, country: 'Malta', continent: 'Europe', gdpm: 9752, popk: 429, gdpcap: 22731 },
{ id: 37, country: 'Slovenia', continent: 'Europe', gdpm: 42798, popk: 2063, gdpcap: 20745 },
{ id: 38, country: 'Saudi Arabia', continent: 'Africa', gdpm: 646002, popk: 31386, gdpcap: 20582 },
{ id: 39, country: 'Portugal', continent: 'Europe', gdpm: 199032, popk: 10411, gdpcap: 19117 },
{ id: 40, country: 'Trinidad and Tobago', continent: 'America', gdpm: 24631, popk: 1358, gdpcap: 18137 },
{ id: 41, country: 'Greece', continent: 'Europe', gdpm: 195320, popk: 10858, gdpcap: 17988 },
{ id: 42, country: 'Czech Republic', continent: 'Europe', gdpm: 185156, popk: 10538, gdpcap: 17570 },
{ id: 43, country: 'Estonia', continent: 'Europe', gdpm: 22704, popk: 1313, gdpcap: 17291 },
{ id: 44, country: 'Equatorial Guinea', continent: 'Africa', gdpm: 13819, popk: 799, gdpcap: 17295 },
{ id: 45, country: 'Oman', continent: 'Africa', gdpm: 64121, popk: 3840, gdpcap: 16698 },
{ id: 46, country: 'St. Kitts and Nevis', continent: 'America', gdpm: 915, popk: 56, gdpcap: 16339 },
{ id: 47, country: 'Palau', continent: 'Asia', gdpm: 287, popk: 18, gdpcap: 15944 },
{ id: 48, country: 'Slovakia', continent: 'Europe', gdpm: 86629, popk: 5421, gdpcap: 15980 },
{ id: 49, country: 'Barbados', continent: 'America', gdpm: 4385, popk: 280, gdpcap: 15660 },
{ id: 50, country: 'Uruguay', continent: 'America', gdpm: 53107, popk: 3416, gdpcap: 15546 }
];
}
label {
width: 150px;
text-align: right;
margin-right: 3px;
}
body {
margin-bottom: 24px;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.52-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
'bootstrap.css': 'pcdn:bootstrap@5.3.8/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import '@angular/compiler';
import { Component, Inject, enableProdMode, ɵresolveComponentResources } from '@angular/core';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
import { DataService } from './app.data';
//
@Component({
standalone: true,
providers: [DataService],
imports: [WjInputModule, BrowserModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
data: any[];
//
constructor(@Inject(DataService) private dataService: DataService) {
this.data = dataService.getData();
}
}
//
//
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo AutoComplete Search Parameters</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<main class="container-fluid">
<div class="form-group">
<label for="theDelay">delay:</label>
<wj-input-number id="theDelay" [(value)]="theAutoComplete.delay" [min]="0" [max]="1500" [step]="100">
</wj-input-number>
</div>
<div class="form-group">
<label for="theMinLength">minLength:</label>
<wj-input-number id="theMinLength" [(value)]="theAutoComplete.minLength" [min]="1" [max]="100" [step]="1">
</wj-input-number>
</div>
<div class="form-group">
<label for="theMaxItems">maxItems:</label>
<wj-input-number id="theMaxItems" [(value)]="theAutoComplete.maxItems" [min]="1" [max]="12" [step]="1">
</wj-input-number>
</div>
<div class="form-group">
<label for="theAutoComplete">AutoComplete:</label>
<wj-auto-complete #theAutoComplete id="theAutoComplete" [displayMemberPath]="'country'"
[searchMemberPath]="'country,continent'" [itemsSource]="data">
</wj-auto-complete>
</div>
</main>
import { Injectable } from '@angular/core';
//
@Injectable()
export class DataService {
getData() {
return [
{ id: 1, country: 'Luxembourg', continent: 'Europe', gdpm: 57825, popk: 563, gdpcap: 102708 },
{ id: 2, country: 'Switzerland', continent: 'Europe', gdpm: 664005, popk: 8238, gdpcap: 80602 },
{ id: 3, country: 'Norway', continent: 'Europe', gdpm: 388315, popk: 5205, gdpcap: 74604 },
{ id: 4, country: 'Macao', continent: 'Asia', gdpm: 46178, popk: 647, gdpcap: 71372 },
{ id: 5, country: 'Qatar', continent: 'Africa', gdpm: 166908, popk: 2421, gdpcap: 68941 },
{ id: 6, country: 'Ireland', continent: 'Europe', gdpm: 283716, popk: 4635, gdpcap: 61211 },
{ id: 7, country: 'United States', continent: 'America', gdpm: 18036650, popk: 321601, gdpcap: 56083 },
{ id: 8, country: 'Singapore', continent: 'Asia', gdpm: 292734, popk: 5535, gdpcap: 52887 },
{ id: 9, country: 'Denmark', continent: 'Europe', gdpm: 295091, popk: 5660, gdpcap: 52136 },
{ id: 10, country: 'Australia', continent: 'Oceania', gdpm: 1225286, popk: 23940, gdpcap: 51181 },
{ id: 12, country: 'Sweden', continent: 'Europe', gdpm: 493042, popk: 9851, gdpcap: 50049 },
{ id: 13, country: 'San Marino', continent: 'Europe', gdpm: 1558, popk: 31, gdpcap: 50258 },
{ id: 14, country: 'Netherlands', continent: 'Europe', gdpm: 750696, popk: 16937, gdpcap: 44322 },
{ id: 15, country: 'United Kingdom', continent: 'Europe', gdpm: 2858482, popk: 65110, gdpcap: 43902 },
{ id: 16, country: 'Austria', continent: 'Europe', gdpm: 374261, popk: 8621, gdpcap: 43412 },
{ id: 17, country: 'Canada', continent: 'America', gdpm: 1550537, popk: 35825, gdpcap: 43280 },
{ id: 18, country: 'Finland', continent: 'Europe', gdpm: 232077, popk: 5472, gdpcap: 42411 },
{ id: 19, country: 'Germany', continent: 'Europe', gdpm: 3365293, popk: 82176, gdpcap: 40952 },
{ id: 20, country: 'Belgium', continent: 'Europe', gdpm: 454288, popk: 11209, gdpcap: 40528 },
{ id: 21, country: 'United Arab Emirates', continent: 'Africa', gdpm: 370296, popk: 9581, gdpcap: 38648 },
{ id: 22, country: 'France', continent: 'Europe', gdpm: 2420163, popk: 64275, gdpcap: 37653 },
{ id: 23, country: 'New Zealand', continent: 'Oceania', gdpm: 172257, popk: 4647, gdpcap: 37068 },
{ id: 24, country: 'Israel', continent: 'Africa', gdpm: 299413, popk: 8377, gdpcap: 35742 },
{ id: 25, country: 'Japan', continent: 'Asia', gdpm: 4124211, popk: 126981, gdpcap: 32478 },
{ id: 26, country: 'Brunei Darussalam', continent: 'Africa', gdpm: 12930, popk: 417, gdpcap: 31007 },
{ id: 27, country: 'Italy', continent: 'Europe', gdpm: 1815759, popk: 60796, gdpcap: 29866 },
{ id: 28, country: 'Puerto Rico', continent: 'America', gdpm: 102906, popk: 3474, gdpcap: 29621 },
{ id: 29, country: 'Kuwait', continent: 'Africa', gdpm: 114079, popk: 4110, gdpcap: 27756 },
{ id: 30, country: 'South Korea', continent: 'Asia', gdpm: 1377873, popk: 50617, gdpcap: 27221 },
{ id: 31, country: 'Spain', continent: 'Europe', gdpm: 1199715, popk: 46423, gdpcap: 25843 },
{ id: 32, country: 'The Bahamas', continent: 'America', gdpm: 8854, popk: 364, gdpcap: 24324 },
{ id: 33, country: 'Bahrain', continent: 'Africa', gdpm: 31119, popk: 1294, gdpcap: 24048 },
{ id: 34, country: 'Cyprus', continent: 'Europe', gdpm: 19330, popk: 847, gdpcap: 22821 },
{ id: 35, country: 'Malta', continent: 'Europe', gdpm: 9752, popk: 429, gdpcap: 22731 },
{ id: 37, country: 'Slovenia', continent: 'Europe', gdpm: 42798, popk: 2063, gdpcap: 20745 },
{ id: 38, country: 'Saudi Arabia', continent: 'Africa', gdpm: 646002, popk: 31386, gdpcap: 20582 },
{ id: 39, country: 'Portugal', continent: 'Europe', gdpm: 199032, popk: 10411, gdpcap: 19117 },
{ id: 40, country: 'Trinidad and Tobago', continent: 'America', gdpm: 24631, popk: 1358, gdpcap: 18137 },
{ id: 41, country: 'Greece', continent: 'Europe', gdpm: 195320, popk: 10858, gdpcap: 17988 },
{ id: 42, country: 'Czech Republic', continent: 'Europe', gdpm: 185156, popk: 10538, gdpcap: 17570 },
{ id: 43, country: 'Estonia', continent: 'Europe', gdpm: 22704, popk: 1313, gdpcap: 17291 },
{ id: 44, country: 'Equatorial Guinea', continent: 'Africa', gdpm: 13819, popk: 799, gdpcap: 17295 },
{ id: 45, country: 'Oman', continent: 'Africa', gdpm: 64121, popk: 3840, gdpcap: 16698 },
{ id: 46, country: 'St. Kitts and Nevis', continent: 'America', gdpm: 915, popk: 56, gdpcap: 16339 },
{ id: 47, country: 'Palau', continent: 'Asia', gdpm: 287, popk: 18, gdpcap: 15944 },
{ id: 48, country: 'Slovakia', continent: 'Europe', gdpm: 86629, popk: 5421, gdpcap: 15980 },
{ id: 49, country: 'Barbados', continent: 'America', gdpm: 4385, popk: 280, gdpcap: 15660 },
{ id: 50, country: 'Uruguay', continent: 'America', gdpm: 53107, popk: 3416, gdpcap: 15546 }
];
}
}
label {
width: 150px;
text-align: right;
margin-right: 3px;
}
body {
margin-bottom: 24px;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: 'node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm'
},
},
paths: {
// paths serve as alias
'npm:': ''
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js',
'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js',
"rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js",
'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js",
"@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js",
"@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js",
"@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js",
"@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js",
"@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js",
"@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js",
"@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js",
'@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js',
"@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js",
"@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js",
"@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js",
"@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js",
"@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js",
"@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js",
"@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js",
"@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js",
"@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js",
'@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
"@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js",
"@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js",
"@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js",
"@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js",
"@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js",
"@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js",
'@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js',
'@angular/core': 'npm:@angular/core/fesm2022/core.mjs',
'@angular/core/primitives/di': 'npm:@angular/core/fesm2022/primitives/di.mjs',
'@angular/core/primitives/signals': 'npm:@angular/core/fesm2022/primitives/signals.mjs',
'@angular/core/primitives/event-dispatch': 'npm:@angular/core/fesm2022/primitives/event-dispatch.mjs',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/http': 'npm:@angular/http/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

<template>
<main class="container-fluid">
<div class="form-group">
<label for="delay">delay:</label>
<wj-input-number id="delay" :value="theAutoComplete.delay" :min="0" :max="1500" :step="100"
:valueChanged="onValueChanged">
</wj-input-number>
</div>
<div class="form-group">
<label for="minLength">minLength:</label>
<wj-input-number id="minLength" :value="theAutoComplete.minLength" :min="1" :max="100" :step="1"
:valueChanged="onValueChanged">
</wj-input-number>
</div>
<div class="form-group">
<label for="maxItems">maxItems:</label>
<wj-input-number id="maxItems" :value="theAutoComplete.maxItems" :min="1" :max="12" :step="1"
:valueChanged="onValueChanged">
</wj-input-number>
</div>
<div class="form-group">
<label for="theAutoComplete">AutoComplete:</label>
<wj-auto-complete id="theAutoComplete" :displayMemberPath="'country'" :initialized="initAutoComplete"
:searchMemberPath="'country,continent'" :itemsSource="data">
</wj-auto-complete>
</div>
</main>
</template>
<script setup>
import { getData } from "./data";
import { ref } from "vue";
const theAutoComplete = ref({
delay: 500,
minLength: 2,
maxItems: 6,
});
const data = ref(getData());
function initAutoComplete(complete) {
theAutoComplete.value = complete;
}
function onValueChanged(s) {
theAutoComplete.value[s.hostElement.id] = s.value;
}
</script>
<style>
label {
width: 150px;
text-align: right;
margin-right: 3px;
}
body {
margin-bottom: 24px;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo AutoComplete Search Parameters</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
export function getData() {
return [
{ id: 1, country: 'Luxembourg', continent: 'Europe', gdpm: 57825, popk: 563, gdpcap: 102708 },
{ id: 2, country: 'Switzerland', continent: 'Europe', gdpm: 664005, popk: 8238, gdpcap: 80602 },
{ id: 3, country: 'Norway', continent: 'Europe', gdpm: 388315, popk: 5205, gdpcap: 74604 },
{ id: 4, country: 'Macao', continent: 'Asia', gdpm: 46178, popk: 647, gdpcap: 71372 },
{ id: 5, country: 'Qatar', continent: 'Africa', gdpm: 166908, popk: 2421, gdpcap: 68941 },
{ id: 6, country: 'Ireland', continent: 'Europe', gdpm: 283716, popk: 4635, gdpcap: 61211 },
{ id: 7, country: 'United States', continent: 'America', gdpm: 18036650, popk: 321601, gdpcap: 56083 },
{ id: 8, country: 'Singapore', continent: 'Asia', gdpm: 292734, popk: 5535, gdpcap: 52887 },
{ id: 9, country: 'Denmark', continent: 'Europe', gdpm: 295091, popk: 5660, gdpcap: 52136 },
{ id: 10, country: 'Australia', continent: 'Oceania', gdpm: 1225286, popk: 23940, gdpcap: 51181 },
{ id: 12, country: 'Sweden', continent: 'Europe', gdpm: 493042, popk: 9851, gdpcap: 50049 },
{ id: 13, country: 'San Marino', continent: 'Europe', gdpm: 1558, popk: 31, gdpcap: 50258 },
{ id: 14, country: 'Netherlands', continent: 'Europe', gdpm: 750696, popk: 16937, gdpcap: 44322 },
{ id: 15, country: 'United Kingdom', continent: 'Europe', gdpm: 2858482, popk: 65110, gdpcap: 43902 },
{ id: 16, country: 'Austria', continent: 'Europe', gdpm: 374261, popk: 8621, gdpcap: 43412 },
{ id: 17, country: 'Canada', continent: 'America', gdpm: 1550537, popk: 35825, gdpcap: 43280 },
{ id: 18, country: 'Finland', continent: 'Europe', gdpm: 232077, popk: 5472, gdpcap: 42411 },
{ id: 19, country: 'Germany', continent: 'Europe', gdpm: 3365293, popk: 82176, gdpcap: 40952 },
{ id: 20, country: 'Belgium', continent: 'Europe', gdpm: 454288, popk: 11209, gdpcap: 40528 },
{ id: 21, country: 'United Arab Emirates', continent: 'Africa', gdpm: 370296, popk: 9581, gdpcap: 38648 },
{ id: 22, country: 'France', continent: 'Europe', gdpm: 2420163, popk: 64275, gdpcap: 37653 },
{ id: 23, country: 'New Zealand', continent: 'Oceania', gdpm: 172257, popk: 4647, gdpcap: 37068 },
{ id: 24, country: 'Israel', continent: 'Africa', gdpm: 299413, popk: 8377, gdpcap: 35742 },
{ id: 25, country: 'Japan', continent: 'Asia', gdpm: 4124211, popk: 126981, gdpcap: 32478 },
{ id: 26, country: 'Brunei Darussalam', continent: 'Africa', gdpm: 12930, popk: 417, gdpcap: 31007 },
{ id: 27, country: 'Italy', continent: 'Europe', gdpm: 1815759, popk: 60796, gdpcap: 29866 },
{ id: 28, country: 'Puerto Rico', continent: 'America', gdpm: 102906, popk: 3474, gdpcap: 29621 },
{ id: 29, country: 'Kuwait', continent: 'Africa', gdpm: 114079, popk: 4110, gdpcap: 27756 },
{ id: 30, country: 'South Korea', continent: 'Asia', gdpm: 1377873, popk: 50617, gdpcap: 27221 },
{ id: 31, country: 'Spain', continent: 'Europe', gdpm: 1199715, popk: 46423, gdpcap: 25843 },
{ id: 32, country: 'The Bahamas', continent: 'America', gdpm: 8854, popk: 364, gdpcap: 24324 },
{ id: 33, country: 'Bahrain', continent: 'Africa', gdpm: 31119, popk: 1294, gdpcap: 24048 },
{ id: 34, country: 'Cyprus', continent: 'Europe', gdpm: 19330, popk: 847, gdpcap: 22821 },
{ id: 35, country: 'Malta', continent: 'Europe', gdpm: 9752, popk: 429, gdpcap: 22731 },
{ id: 37, country: 'Slovenia', continent: 'Europe', gdpm: 42798, popk: 2063, gdpcap: 20745 },
{ id: 38, country: 'Saudi Arabia', continent: 'Africa', gdpm: 646002, popk: 31386, gdpcap: 20582 },
{ id: 39, country: 'Portugal', continent: 'Europe', gdpm: 199032, popk: 10411, gdpcap: 19117 },
{ id: 40, country: 'Trinidad and Tobago', continent: 'America', gdpm: 24631, popk: 1358, gdpcap: 18137 },
{ id: 41, country: 'Greece', continent: 'Europe', gdpm: 195320, popk: 10858, gdpcap: 17988 },
{ id: 42, country: 'Czech Republic', continent: 'Europe', gdpm: 185156, popk: 10538, gdpcap: 17570 },
{ id: 43, country: 'Estonia', continent: 'Europe', gdpm: 22704, popk: 1313, gdpcap: 17291 },
{ id: 44, country: 'Equatorial Guinea', continent: 'Africa', gdpm: 13819, popk: 799, gdpcap: 17295 },
{ id: 45, country: 'Oman', continent: 'Africa', gdpm: 64121, popk: 3840, gdpcap: 16698 },
{ id: 46, country: 'St. Kitts and Nevis', continent: 'America', gdpm: 915, popk: 56, gdpcap: 16339 },
{ id: 47, country: 'Palau', continent: 'Asia', gdpm: 287, popk: 18, gdpcap: 15944 },
{ id: 48, country: 'Slovakia', continent: 'Europe', gdpm: 86629, popk: 5421, gdpcap: 15980 },
{ id: 49, country: 'Barbados', continent: 'America', gdpm: 4385, popk: 280, gdpcap: 15660 },
{ id: 50, country: 'Uruguay', continent: 'America', gdpm: 53107, popk: 3416, gdpcap: 15546 }
];
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' }
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js",
"@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js",
"@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js",
"@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js",
"@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js",
"@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js",
"@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js",
"@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js",
'@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js',
"@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js",
"@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js",
"@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js",
"@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js",
"@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js",
"@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js",
'@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js',
"@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js",
"@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js",
'@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
"@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js",
"@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js",
"@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js",
"@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js",
"@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js",
"@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js",
'@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
//'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React, { useState } from 'react';
import * as wjInput from '@mescius/wijmo.react.input';
import './app.css';
import { data } from './data';
function App() {
const [delay, setDelay] = useState(500);
const [minLength, setMinLength] = useState(2);
const [maxItems, setMaxItems] = useState(6);
const changeDelay = (value) => {
setDelay(value);
};
const changeMinLength = (value) => {
setMinLength(value);
};
const changeMaxItems = (value) => {
setMaxItems(value);
};
return (<main className="container-fluid">
<div className="form-group">
<label htmlFor="delay">delay:</label>
<wjInput.InputNumber id="delay" value={delay} min={0} max={1500} step={100} valueChanged={(s) => changeDelay(s.value === null ? delay : s.value)}/>
</div>
<div className="form-group">
<label htmlFor="minLength">minLength:</label>
<wjInput.InputNumber id="minLength" value={minLength} min={1} max={100} step={1} valueChanged={(s) => changeMinLength(s.value || minLength)}/>
</div>
<div className="form-group">
<label htmlFor="maxItems">maxItems:</label>
<wjInput.InputNumber id="maxItems" value={maxItems} min={1} max={12} step={1} valueChanged={(s) => changeMaxItems(s.value || maxItems)}/>
</div>
<div className="form-group">
<label htmlFor="theAutoComplete">AutoComplete:</label>
<wjInput.AutoComplete id="theAutoComplete" displayMemberPath="country" delay={delay} maxItems={maxItems} minLength={minLength} searchMemberPath="country,continent" itemsSource={data}/>
</div>
</main>);
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo AutoComplete Search Parameters</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.40/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
label {
width: 150px;
text-align: right;
margin-right: 3px;
}
function getData() {
return [
{ id: 1, country: 'Luxembourg', continent: 'Europe', gdpm: 57825, popk: 563, gdpcap: 102708 },
{ id: 2, country: 'Switzerland', continent: 'Europe', gdpm: 664005, popk: 8238, gdpcap: 80602 },
{ id: 3, country: 'Norway', continent: 'Europe', gdpm: 388315, popk: 5205, gdpcap: 74604 },
{ id: 4, country: 'Macao', continent: 'Asia', gdpm: 46178, popk: 647, gdpcap: 71372 },
{ id: 5, country: 'Qatar', continent: 'Africa', gdpm: 166908, popk: 2421, gdpcap: 68941 },
{ id: 6, country: 'Ireland', continent: 'Europe', gdpm: 283716, popk: 4635, gdpcap: 61211 },
{ id: 7, country: 'United States', continent: 'America', gdpm: 18036650, popk: 321601, gdpcap: 56083 },
{ id: 8, country: 'Singapore', continent: 'Asia', gdpm: 292734, popk: 5535, gdpcap: 52887 },
{ id: 9, country: 'Denmark', continent: 'Europe', gdpm: 295091, popk: 5660, gdpcap: 52136 },
{ id: 10, country: 'Australia', continent: 'Oceania', gdpm: 1225286, popk: 23940, gdpcap: 51181 },
{ id: 12, country: 'Sweden', continent: 'Europe', gdpm: 493042, popk: 9851, gdpcap: 50049 },
{ id: 13, country: 'San Marino', continent: 'Europe', gdpm: 1558, popk: 31, gdpcap: 50258 },
{ id: 14, country: 'Netherlands', continent: 'Europe', gdpm: 750696, popk: 16937, gdpcap: 44322 },
{ id: 15, country: 'United Kingdom', continent: 'Europe', gdpm: 2858482, popk: 65110, gdpcap: 43902 },
{ id: 16, country: 'Austria', continent: 'Europe', gdpm: 374261, popk: 8621, gdpcap: 43412 },
{ id: 17, country: 'Canada', continent: 'America', gdpm: 1550537, popk: 35825, gdpcap: 43280 },
{ id: 18, country: 'Finland', continent: 'Europe', gdpm: 232077, popk: 5472, gdpcap: 42411 },
{ id: 19, country: 'Germany', continent: 'Europe', gdpm: 3365293, popk: 82176, gdpcap: 40952 },
{ id: 20, country: 'Belgium', continent: 'Europe', gdpm: 454288, popk: 11209, gdpcap: 40528 },
{ id: 21, country: 'United Arab Emirates', continent: 'Africa', gdpm: 370296, popk: 9581, gdpcap: 38648 },
{ id: 22, country: 'France', continent: 'Europe', gdpm: 2420163, popk: 64275, gdpcap: 37653 },
{ id: 23, country: 'New Zealand', continent: 'Oceania', gdpm: 172257, popk: 4647, gdpcap: 37068 },
{ id: 24, country: 'Israel', continent: 'Africa', gdpm: 299413, popk: 8377, gdpcap: 35742 },
{ id: 25, country: 'Japan', continent: 'Asia', gdpm: 4124211, popk: 126981, gdpcap: 32478 },
{ id: 26, country: 'Brunei Darussalam', continent: 'Africa', gdpm: 12930, popk: 417, gdpcap: 31007 },
{ id: 27, country: 'Italy', continent: 'Europe', gdpm: 1815759, popk: 60796, gdpcap: 29866 },
{ id: 28, country: 'Puerto Rico', continent: 'America', gdpm: 102906, popk: 3474, gdpcap: 29621 },
{ id: 29, country: 'Kuwait', continent: 'Africa', gdpm: 114079, popk: 4110, gdpcap: 27756 },
{ id: 30, country: 'South Korea', continent: 'Asia', gdpm: 1377873, popk: 50617, gdpcap: 27221 },
{ id: 31, country: 'Spain', continent: 'Europe', gdpm: 1199715, popk: 46423, gdpcap: 25843 },
{ id: 32, country: 'The Bahamas', continent: 'America', gdpm: 8854, popk: 364, gdpcap: 24324 },
{ id: 33, country: 'Bahrain', continent: 'Africa', gdpm: 31119, popk: 1294, gdpcap: 24048 },
{ id: 34, country: 'Cyprus', continent: 'Europe', gdpm: 19330, popk: 847, gdpcap: 22821 },
{ id: 35, country: 'Malta', continent: 'Europe', gdpm: 9752, popk: 429, gdpcap: 22731 },
{ id: 37, country: 'Slovenia', continent: 'Europe', gdpm: 42798, popk: 2063, gdpcap: 20745 },
{ id: 38, country: 'Saudi Arabia', continent: 'Africa', gdpm: 646002, popk: 31386, gdpcap: 20582 },
{ id: 39, country: 'Portugal', continent: 'Europe', gdpm: 199032, popk: 10411, gdpcap: 19117 },
{ id: 40, country: 'Trinidad and Tobago', continent: 'America', gdpm: 24631, popk: 1358, gdpcap: 18137 },
{ id: 41, country: 'Greece', continent: 'Europe', gdpm: 195320, popk: 10858, gdpcap: 17988 },
{ id: 42, country: 'Czech Republic', continent: 'Europe', gdpm: 185156, popk: 10538, gdpcap: 17570 },
{ id: 43, country: 'Estonia', continent: 'Europe', gdpm: 22704, popk: 1313, gdpcap: 17291 },
{ id: 44, country: 'Equatorial Guinea', continent: 'Africa', gdpm: 13819, popk: 799, gdpcap: 17295 },
{ id: 45, country: 'Oman', continent: 'Africa', gdpm: 64121, popk: 3840, gdpcap: 16698 },
{ id: 46, country: 'St. Kitts and Nevis', continent: 'America', gdpm: 915, popk: 56, gdpcap: 16339 },
{ id: 47, country: 'Palau', continent: 'Asia', gdpm: 287, popk: 18, gdpcap: 15944 },
{ id: 48, country: 'Slovakia', continent: 'Europe', gdpm: 86629, popk: 5421, gdpcap: 15980 },
{ id: 49, country: 'Barbados', continent: 'America', gdpm: 4385, popk: 280, gdpcap: 15660 },
{ id: 50, country: 'Uruguay', continent: 'America', gdpm: 53107, popk: 3416, gdpcap: 15546 }
];
}
export const data = getData();
(function (global) {
window.process = {
env: {
NODE_ENV: "production"
}
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'npm:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.react.chart.analytics": "npm:@mescius/wijmo.react.chart.analytics/index.js",
"@mescius/wijmo.react.chart.animation": "npm:@mescius/wijmo.react.chart.animation/index.js",
"@mescius/wijmo.react.chart.annotation": "npm:@mescius/wijmo.react.chart.annotation/index.js",
"@mescius/wijmo.react.chart.finance.analytics": "npm:@mescius/wijmo.react.chart.finance.analytics/index.js",
"@mescius/wijmo.react.chart.finance": "npm:@mescius/wijmo.react.chart.finance/index.js",
"@mescius/wijmo.react.chart.hierarchical": "npm:@mescius/wijmo.react.chart.hierarchical/index.js",
"@mescius/wijmo.react.chart.interaction": "npm:@mescius/wijmo.react.chart.interaction/index.js",
"@mescius/wijmo.react.chart.radar": "npm:@mescius/wijmo.react.chart.radar/index.js",
"@mescius/wijmo.react.chart": "npm:@mescius/wijmo.react.chart/index.js",
"@mescius/wijmo.react.core": "npm:@mescius/wijmo.react.core/index.js",
'@mescius/wijmo.react.chart.map': 'npm:@mescius/wijmo.react.chart.map/index.js',
"@mescius/wijmo.react.gauge": "npm:@mescius/wijmo.react.gauge/index.js",
"@mescius/wijmo.react.grid.detail": "npm:@mescius/wijmo.react.grid.detail/index.js",
"@mescius/wijmo.react.grid.filter": "npm:@mescius/wijmo.react.grid.filter/index.js",
"@mescius/wijmo.react.grid.grouppanel": "npm:@mescius/wijmo.react.grid.grouppanel/index.js",
'@mescius/wijmo.react.grid.search': 'npm:@mescius/wijmo.react.grid.search/index.js',
"@mescius/wijmo.react.grid.multirow": "npm:@mescius/wijmo.react.grid.multirow/index.js",
"@mescius/wijmo.react.grid.sheet": "npm:@mescius/wijmo.react.grid.sheet/index.js",
'@mescius/wijmo.react.grid.transposed': 'npm:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'npm:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'npm:@mescius/wijmo.react.grid.immutable/index.js',
"@mescius/wijmo.react.grid": "npm:@mescius/wijmo.react.grid/index.js",
"@mescius/wijmo.react.input": "npm:@mescius/wijmo.react.input/index.js",
"@mescius/wijmo.react.olap": "npm:@mescius/wijmo.react.olap/index.js",
"@mescius/wijmo.react.viewer": "npm:@mescius/wijmo.react.viewer/index.js",
"@mescius/wijmo.react.nav": "npm:@mescius/wijmo.react.nav/index.js",
"@mescius/wijmo.react.base": "npm:@mescius/wijmo.react.base/index.js",
'@mescius/wijmo.react.barcode.common': 'npm:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'npm:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'npm:@mescius/wijmo.react.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'react': 'npm:react/index.js',
'react-dom': 'npm:react-dom/index.js',
'react-dom/client': 'npm:react-dom/client.js',
"scheduler": "npm:scheduler/index.js",
'redux': 'npm:redux/dist/redux.min.js',
'react-redux': 'npm:react-redux/dist/react-redux.min.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
"react-use-event-hook": "npm:react-use-event-hook/dist/esm/useEvent.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);